MTF_GENERATE_TEST_CH(1)

NAME
mtf_generate_test_chart - generate test charts for evaluating lens sharpness

SYNOPSIS

mtf_generate_test_chart [OPTIONS]

DESCRIPTION

mtf_generate_test_chart generates scalable vector graphics (SVG) files containing test charts for evaluating digital camera lens performance (sharpness) as well as autofocus accuracy / fine-tuning. mtf_generate_test_chart should be used to generate suitable test charts for use with the mtf_mapper tool.

OPTIONS

-o filename
    Specify output file name (default is chart.svg).

-s a4|A4|a3|A3|a2|A2|a1|A1|a0|A0
    Specify page size of the chart.

-t perspective|grid|halfgrid|thirdgrid|lensgrid|mfperspective|focus
    Specify chart type. The perspective chart is for evaluating autofocus behaviour, and is intended to be photographed at an angle, typically 45 degrees.

    The lensgrid chart is intended to evaluate lens sharpness across the focal plane, and should be photographed perpendiculary. This chart type is suitable for many mtf_mapper output options, including -a, -s, -q, and --lensprofile. The circular fiducial markers also allow this chart type to be used for iteratively adjusting the chart orientation (to position it perpendicular to the camera’s optical axis) using mtf_mapper's --chart-orientation output mode.

    The grid chart is similar to the lensgrid chart, but it is an older design, and it is strongly recommended that you use the lensgrid chart instead. Similar grid-style charts, but with fewer target rectangles, can be generated using the halfgrid and thirdgrid types.

    The focus chart is a single-purpose chart type designed to measure the position (distance) of peak focus. This chart must be photographed at an angle (45 degrees recommended), and requires manual focusing. The --focus output option of mtf_mapper is specifically intended for this chart type.

    The mfperspective chart is another special chart type designed to visualize the intersection of the "plane of best focus" and the test chart, which should be tilted at around 45 degrees. The --mfprofile output option of mtf_mapper is specifically intended for this chart type.

-d distance
    Specify the desired viewing distance from the chart for perspective mode. Distance is in mm, measured from the reference edge on the chart, to the camera focal plane.

-h
    Displays usage information.

AUTHOR

Frans van den Bergh <fvdbergh@gmail.com>
    Author.